#include <gtest/gtest.h>
#include <solution/2712.h>
//
// Created by xfj12 on 2025/3/27.
//
TEST(MinimumCostTest, Test1)
{
    char s[] = "0011";
    long long expected = 2;
    EXPECT_EQ(minimumCost(s), expected);
}

// 测试用例 2
TEST(MinimumCostTest, Test2)
{
    char s[] = "010101";
    long long expected = 9;
    EXPECT_EQ(minimumCost(s), expected);
}